 <div class="row">
   <div class="calender-container">
     <form class="form-inline">
       <div class="form-group calender-grid">
         <div class="input-group calender">
           <mat-form-field class="full-width">
             <input matInput [matDatepicker]="picker" [min]="minDate" [max]="maxDate" name="d1" placeholder="Start Date"  [(ngModel)]="analyticsData.startDate"
                    (ngModelChange)="onDateChange($event)" disabled>
             <mat-datepicker-toggle matSuffix [for]="picker" matTooltip="Click to select start date" matTooltipPosition="below"></mat-datepicker-toggle>
             <mat-datepicker #picker disabled="false"></mat-datepicker>
           </mat-form-field>
         </div>
       </div>
       <div class="form-group calender-grid">
         <div class="input-group calender">
           <mat-form-field class="full-width">
             <input matInput [matDatepicker]="picker2" [min]="minDate" [max]="maxDate" name="d2" placeholder="End Date"  [(ngModel)]="analyticsData.endDate"
                    (ngModelChange)="onDateChange($event)" disabled>
             <mat-datepicker-toggle matSuffix [for]="picker2" matTooltip="Click to select end date" matTooltipPosition="below"></mat-datepicker-toggle>
             <mat-datepicker #picker2 disabled="false"></mat-datepicker>
           </mat-form-field>
         </div>
       </div>
     </form>
   </div>
  <div class="pills-grid">
    <app-iotzen-pills [pillActiveColour]="'#6D7FCC'"
                          [defaultActivePillIndex]="1" [arrayOfPills]="arrayOfSeriesTypePills"
                          (activePillValue)="getActivePillValue($event)"></app-iotzen-pills>
  </div>
   <div class="pills-grid">
     <app-iotzen-pills [pillActiveColour]="'#6D7FCC'"
                           [defaultActivePillIndex]="1" [arrayOfPills]=  "arrayOfChartTypePills"
                           (activePillValue)="getActivePillValue($event)"></app-iotzen-pills>
   </div>
 </div>

 <div *ngIf="showCircularLoader">
   <app-circular-loader></app-circular-loader>
 </div>

<div  style="position: relative; margin-top: 20px">
  <canvas  id="inspectionChart" height="130"></canvas>
      <button mat-mini-fab class="downloadBtn noMargin" matTooltip="Analytics download" matTooltipPosition="below" (click)="downloadAnalytics()"
              *ngIf="!showCircularLoader && SUBJECT.INSPECTION | can:ACTIONS.DOWNLOAD">
    <i class="fa fa-download"></i></button>
</div>

 <div class="remark" *ngIf="!showCircularLoader">
   <p style="float: right">Data according to UTC time</p>
 </div>
